List of all members
clan::Logger Class Referenceabstract
clanCore Text

Logger interface. More...

`#include <logger.h>`

Inheritance diagram for clan::Logger:

## Public Member Functions
Construction
| Logger ()
| Constructs a logger. More...
virtual | ~Logger ()
Operations
void | enable ()
| Enable logger for logging. More...
void | disable ()
| Disable logging. More...
virtual void | log (const std::string &type, const std::string &text)=0
| Log text. More...

## Static Public Attributes
Attributes
static std::vector< Logger * > | instances
| Pointers to currently enabled logger. More...
static std::recursive_mutex | mutex
| Logger mutex object. More...

## Static Protected Member Functions
Implementation
static StringFormat | get_log_string (const std::string &type, const std::string &text)

## Detailed Description

Logger interface.

The documentation for this class was generated from the following file:

- logger.h